/* Разные механизмы


*/

package main

import (
	"fmt"
	"os/exec"
	"strconv"
)

///////////////////////////////////////////////////////

// открыть главную страницу в Хроме
// exec.Command обрезает ?warning=1
func showBrauserPage(warning string){
	url:="file:///"+GetMainPathExeFile()+"\\sys\\app.htm"
	if warning=="1"{
		url="file:///"+GetMainPathExeFile()+"\\sys\\app_warning.htm"
	}
	if warning=="2"{
		url="file:///"+GetMainPathExeFile()+"\\sys\\app_warning_2.htm"
	}

	/*используем команду start в командной оболочке Windows (cmd.exe)
	  для запуска умолчательного браузера и открытия веб-страницы.
	  Команда start автоматически определит умолчальный браузер и откроет веб-страницу в нём.
	*/
	browser := exec.Command("cmd",  "/C", "start", url)
	err := browser.Run()
	if err != nil {
		//log.Fatal(err)
		fmt.Println("НЕ УДАЛОСЬ ЗАПУСТИТЬ ВЭБ СТРАНИЦУ. Возможно не ассоциировано расширение .HTM с браузером.")
		return
	}
}
///////////////////////////////////////


/////////////////////////////////////////////////
var isGetListRemoteFilesProcess=false
var curReindexFileCount=0
var maxReindexFileCount=0
func getProgressReindesing()string{
	if !isGetListRemoteFilesProcess || curReindexFileCount==0{
		return ""
	}

	return strconv.Itoa(curReindexFileCount)+"|"+strconv.Itoa(maxReindexFileCount)+"|"+strconv.Itoa(curReindexFileCount)+" из "+strconv.Itoa(maxReindexFileCount)
}
////////////////////////////////////////////